Bug 848227 - anaconda fails to initialize in F18 Alpha TC1 because it uses libgssapi_krb5.so.2, which lorax purges during compose
anaconda fails to initialize in F18 Alpha TC1 because it uses libgssapi_krb5....
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
18
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F18Alpha/F18AlphaBlocker
  Show dependency treegraph
 
Reported: 2012-08-14 19:09 EDT by Adam Williamson
Modified: 2013-07-04 09:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-21 07:39:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-08-14 19:09:16 EDT
lorax purges libgssapi_krb5 during compose:

share/runtime-cleanup.tmpl:removefrom krb5-libs /etc/* /${libdir}/libgssrpc* /usr/${libdir}/*

but anaconda needs it. So, in F18 Alpha TC1, if you work around  https://bugzilla.redhat.com/show_bug.cgi?id=847644 , anaconda fails to start up, with this traceback:

File "/sbin/anaconda", line 34, in <module>
  from tempfile import mkstemp

<snip>

ImportError: libgssapi_krb5.so.2: cannot open shared object file: No such file or directory

jesse notes:

<jlk> bcl: we make use of hashlib, by way of mkstemp -> tempfile -> random -> hashlib (which is basically what the traceback says).

This obviously blocks F18 Alpha, as it's an anaconda showstopper. Invalidates pretty much every release criterion. :)
Comment 1 Fedora Update System 2012-08-15 14:37:08 EDT
lorax-18.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lorax-18.13-1.fc18
Comment 2 Fedora Update System 2012-08-15 19:33:23 EDT
Package lorax-18.13-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-18.13-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11976/lorax-18.13-1.fc18
then log in and leave karma (feedback).
Comment 3 Adam Williamson 2012-08-16 01:17:32 EDT
Fix appears confirmed in TC2, this traceback no longer occurs.
Comment 4 Fedora Update System 2012-08-16 12:02:50 EDT
lorax-18.14-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lorax-18.14-1.fc18
Comment 5 Fedora Update System 2012-08-16 12:52:09 EDT
Package lorax-18.14-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-18.14-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11979/lorax-18.14-1.fc18
then log in and leave karma (feedback).
Comment 6 Adam Williamson 2012-08-16 15:01:59 EDT
Discussed at 2012-08-16 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-08-16/f18-alpha-blocker-review-3.2012-08-16-16.00.html . Accepted as a blocker per criterion "The installer must boot (if appropriate) and run on all primary architectures, with all system firmware types that are common on those architectures, from default live image, DVD, and boot.iso install media when written to an optical disc and when written to a USB stick with at least one of the officially supported methods" . We're confident lorax 18.13 fixed this, but an update needs to go stable before we close the bug.
Comment 7 Fedora Update System 2012-08-21 07:39:04 EDT
lorax-18.14-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.